clang 10.0.0git

Classes | Namespaces
ContinuousRangeMap.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <utility>`
Include dependency graph for ContinuousRangeMap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ContinuousRangeMap< Int, V, InitialCapacity >
| A map from continuous integer ranges to some value, with a very specialized interface. More...
class | clang::ContinuousRangeMap< Int, V, InitialCapacity >::Builder
| An object that helps properly build a continuous range map from a set of values. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.